#include "stdafx.h"
#include "nio_lib20.h"
#include "nio_lib20_err.h"


// 数字量输出例子：16位跑马灯
short NIO_Example_D_Out(HAND hDev)
{
	short rtn,lastIdx = -1;

	// 复位输出为高电平
	rtn = NIO_DOSet16Bit(hDev,0,0xFFFF);
	if(rtn != 0)
	{
		printf("error:NIO_DOSet16Bit = %d",rtn);
		return rtn;
	}

	for(int loop=0;loop<4;loop++)
	{
		for(int idx=0;idx<16;idx++)
		{
			rtn = NIO_DOSetBit(hDev,idx,0);
			if(lastIdx >= 0)
			{
				rtn = NIO_DOSetBit(hDev,lastIdx,1);
			}
			lastIdx = idx;
			// Sleep(200);
		}
	}

	return 0;
}


